Subject: Re: bug#48579: 28.0.50; Spawning an emacs process using call-process results in inconsistent, behavior between GNU/Linux and macOS

From: Daniel Mendler <[email-masked]>
Date: Sat, 22 May 2021 13:44:27 +0200

> Bottom line: I don't see any Emacs bug here.

Of course there is an Emacs bug here.

I am using `call-process` to start Emacs. On Mac the home directory is
taken on other Unixes the current directory of the parent process is taken.

Both GNU/Linux and macOS are Unixes, it is expected that Emacs behaves
in the same way on both platforms with regards to handling the current
directory. When Emacs is started via the command line or via forking
from another process, Emacs should inherit the default directory from
the parent process. If Emacs is started via some special finder or
desktop application, the default directory of that finder application is
taken. This is all predictable and expected.

Daniel